import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy } from '@angular/core';
import { Control, Column } from '../../../models/control';
import { FVDoneResponse } from '../../../models';
import { ProcessService } from '../../../services/process.service';
import { FVAbstractControl } from '../../shared/abstract-control.component';
export declare class FVFormTabComponent extends FVAbstractControl implements AfterViewInit, OnDestroy {
    protected process: ProcessService;
    protected ref: ChangeDetectorRef;
    class: string;
    titleUpdated: EventEmitter<string>;
    onDone: EventEmitter<FVDoneResponse>;
    mainContainer: any;
    protected shouldShow: boolean;
    constructor(process: ProcessService, ref: ChangeDetectorRef);
    ngAfterViewInit(): void;
    updateTitle(title: any): void;
    controlType(num: number): string;
    controlGroupType(num: number): string;
    columnsClass(control: Control): string;
    visibleColumns(control: Control | Column): any;
    isHidden(control: Control): boolean;
    _onDone(response: FVDoneResponse): void;
    debugText(): string;
    readonly missingFieldsDebug: boolean;
    readonly isGrid: boolean;
    protected notEmptyColumns(control: Control | Column): any;
    protected generateClass(): "" | "formTab";
    protected notEmptyContainer(): boolean;
    ngOnDestroy(): void;
}
